import static org.junit.Assert.*;
import org.junit.Test;

/**
 * Test cases for {@code ComplexClass.add()}.
 * 
 * @author Tom Verhoeff (TU/e)
 */
public class ComplexClassTestAdd {
    
    public ComplexClassTestAdd() {
    }

    /**
     * Test of add method, of class ComplexClass.
     */
    @Test
    public void testAddZeroes() {
        System.out.println("add(0, 0)");
        int a = 0;
        int b = 0;
        ComplexClass instance = new ComplexClass();
        int expResult = 0;
        int result = instance.add(a, b);
        assertEquals(expResult, result);
    }

    /**
     * Test of add method, of class ComplexClass.
     */
    @Test
    public void testAddNonZeroes() {
        System.out.println("add(2, 3)");
        int a = 2;
        int b = 3;
        ComplexClass instance = new ComplexClass();
        int expResult = 5;
        int result = instance.add(a, b);
        assertEquals(expResult, result);
    }

}
