import static org.junit.Assert.*;
import org.junit.Test;

/**
 * Test cases for SimpleClass.
 * 
 * @author Tom Verhoeff (TU/e)
 */
public class SimpleClassTest {
    
    public SimpleClassTest() {
    }

    /**
     * Test of divide method, of class SimpleClass.
     */
    @Test
    public void divisionWithoutRemainder() {
        System.out.println("divide, without remainder");
        int a = 12;
        int b = 3;
        SimpleClass instance = new SimpleClass();
        int expResult = 4;
        int result = instance.divide(a, b);
        assertEquals(expResult, result);
    }

    /**
     * Test of divide method, of class SimpleClass.
     */
    @Test
    public void divisionWithRemainder() {
        System.out.println("divide, with remainder");
        int a = 14;
        int b = 3;
        SimpleClass instance = new SimpleClass();
        int expResult = 4;
        int result = instance.divide(a, b);
        assertEquals(expResult, result);
    }

    /**
     * Test of divide method, of class SimpleClass.
     */
    @Test(expected = IllegalArgumentException.class)
    public void divisionByZero() {
        System.out.println("divide, by zero");
        int a = 6;
        int b = 0;
        SimpleClass instance = new SimpleClass();
        int result = instance.divide(a, b);
    }

}
